package com.proyek.akhir.kodel.ui.koperasi.beranda.pengguna

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.bumptech.glide.Glide
import com.proyek.akhir.kodel.R
import com.proyek.akhir.kodel.data.response.AnggotaItem
import kotlinx.android.synthetic.main.item_pengguna.view.*

class PenggunaAdapter(private val listPengguna: List<AnggotaItem>) :
    RecyclerView.Adapter<PenggunaAdapter.PenggunaViewHolder>() {

    inner class PenggunaViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
        fun bind(pengguna: AnggotaItem) {
            with(itemView){
                Glide.with(itemView.context)
                    .load(pengguna.fotoDiriAnggota)
                    .into(imgPenggunaKoperasi)

                namaPengguna.text = pengguna.namaAnggota
            }
        }
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): PenggunaViewHolder =
        PenggunaViewHolder(
            LayoutInflater.from(parent.context).inflate(
                R.layout.item_pengguna, parent, false
            )
        )

    override fun getItemCount(): Int = listPengguna.size

    override fun onBindViewHolder(holder: PenggunaViewHolder, position: Int) {
        holder.bind(listPengguna[position])
    }

}